

set -ex



test -f $PREFIX/bin/git
test -f $PREFIX/bin/gitk
test -f $PREFIX/bin/git-credential-osxkeychain
test -f $PREFIX/libexec/git-core/git-add--interactive
git --version
git clone https://github.com/conda-forge/git-feedstock
pushd git-feedstock
git submodule update --init
popd
git-credential-osxkeychain 2>&1 | grep -q usage
pushd $(mktemp -d 2>/dev/null || mktemp -d -t 'tmp')
git init .
echo hello > world
git add world
echo goodbye >> world
echo y | git add -p world
popd
bash $PREFIX/share/bash-completion/completions/git
exit 0
